Package com.oracle.truffle.api.dsl.internal

## Class DSLShare

- java.lang.Object
- - com.oracle.truffle.api.dsl.internal.DSLShare

    public class DSLShare
    extends java.lang.Object

Contains utility classes shared across generated DSLNode implementations.

### Constructor Summary

Constructors
`DSLShare()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T extends Node> T` `findRoot​(T node)`
`static boolean` `isExcluded​(Node currentNode, DSLMetadata otherMetadata)`
`static <T extends Node & DSLNode> T` `rewrite​(Node thisNode, T newNode, java.lang.String message)`
`static <T extends Node & DSLNode> T` `rewriteToPolymorphic​(Node oldNode, DSLNode uninitializedDSL, T polymorphic, DSLNode currentCopy, DSLNode newNodeDSL, java.lang.String message)`
`static <T extends Node & DSLNode> T` `rewriteUninitialized​(Node uninitialized, T newNode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DSLShare

    public DSLShare()

### Method Detail

#### isExcluded

    public static boolean isExcluded​(Node currentNode,
                                     DSLMetadata otherMetadata)

#### rewrite

    public static <T extends Node & DSLNode> T rewrite​(Node thisNode,
                                                       T newNode,
                                                       java.lang.String message)

#### findRoot

    public static <T extends Node> T findRoot​(T node)

#### rewriteUninitialized

    public static <T extends Node & DSLNode> T rewriteUninitialized​(Node uninitialized,
                                                                    T newNode)

#### rewriteToPolymorphic

    public static <T extends Node & DSLNode> T rewriteToPolymorphic​(Node oldNode,
                                                                    DSLNode uninitializedDSL,
                                                                    T polymorphic,
                                                                    DSLNode currentCopy,
                                                                    DSLNode newNodeDSL,
                                                                    java.lang.String message)